#!/bin/bash

################################################################################
##                                                                             #
## other results for experiment 1                                              #
## loads some params from params.sh                                            #
##                                                                             #
## by Michal Pokorny, apr 2006                                                 #
##                                                                             #
################################################################################


## common
USAGE="Usage: ./$0 <run_id> <operation>"
. ./params.sh

## options
RUN=$1

## errors
if [ "x$RUN" = "x" ]; then
    echo $USAGE
    exit
fi

## get results
cp $STORE_DIR/$RUN/$SIMULATION.$RUN.tar.gz $TEMP_DIR/
cd $TEMP_DIR
gunzip $SIMULATION.$RUN.tar.gz
tar -xf $SIMULATION.$RUN.tar
rm *.tar

## efect of over-training

OUTP2=../$OUTPUT_DIR/iters.$RUN.dat
echo -n "" > $OUTP2

for ITER in $( cat ../$ITERLIST ); do
    echo -ne "$ITER\t" >> $OUTP2
    cat $SIMULATION.$RUN.$ITER | lraam_generalization -t $THETA -v >> $OUTP2
done

## efect of over-training - error

OUTP3=../$OUTPUT_DIR/error.$RUN.dat
echo -n "" > $OUTP3

ITER=0
while [ $ITER -lt $(( $ITER_COUNT + 1 )) ]; do
    echo -ne "$ITER\t" >> $OUTP3
    cat $SIMULATION.$RUN.$ITER | lraam_stat -e >> $OUTP3
    echo >> $OUTP3
    let ITER=ITER+ITER_STEP
done

## clean
rm *
cd ..

