#!/bin/bash

################################################################################
##                                                                             #
## generalization on trained raam for several theta values                     #
## loads some params from params.sh                                            #
##                                                                             #
## by Michal Pokorny, mar 2006                                                 #
##                                                                             #
################################################################################


## common
USAGE="Usage: ./$0 <run_id> <operation>"
. ./params.sh

## options
RUN=$1

## errors
if [ "x$RUN" = "x" ]; then
    echo $USAGE
    exit
fi

## get results
cp $STORE_DIR/$RUN/$SIMULATION.$RUN.tar.gz $TEMP_DIR/
cd $TEMP_DIR
gunzip $SIMULATION.$RUN.tar.gz
tar -xf $SIMULATION.$RUN.tar
rm *.tar

## run over all result files

THETA_MIN=0
THETA_MAX=160
THETA_E=0.01

FILE=$SIMULATION.$RUN.$ITER_ORIG

for i in $( seq $THETA_MIN $THETA_MAX ); do
    theta=$( echo "$i * $THETA_E" | bc -l | sed -e "s/^\./0\./g" -e "s/^0$/0.00/g" );
    echo -ne "$theta\t"
    cat $FILE | lraam_generalization -t $theta -v
done

## clean
rm *
cd ..

