#!/bin/bash

################################################################################
##                                                                             #
## get results from simulation                                                 #
## loads params from params.sh                                                 #
##                                                                             #
## by Michal Pokorny, mar 2006                                                 #
##                                                                             #
################################################################################


## common
USAGE="Usage: ./$0 <run_id> <operation>"
. ./params.sh

## options
RUN=$1
OPERATION=$2

## errors
if [ "x$RUN" = "x" ]; then
    echo $USAGE
fi
if [ "x$OPERATION" = "x" ]; then
    echo $USAGE
fi

## get results
cp $STORE_DIR/$RUN/$SIMULATION.$RUN.tar.gz $TEMP_DIR/
cd $TEMP_DIR
gunzip $SIMULATION.$RUN.tar.gz
tar -xf $SIMULATION.$RUN.tar
rm *.tar

## run over all result files
ITER=0
while [ $ITER -lt $(( $ITER_COUNT + 1 )) ]; do
    echo -ne "$ITER\t"
    if [ $OPERATION == "err" ]; then
	cat $SIMULATION.$RUN.$ITER | lraam_stat -e
	echo
    fi
    if [ $OPERATION == "enc" ]; then
	cat $SIMULATION.$RUN.$ITER | lraam_stat -T $THETA -E | grep "(" | wc -l | sed -e "s/ //g"
    fi
    if [ $OPERATION == "all" ]; then
	cat $SIMULATION.$RUN.$ITER | lraam_stat -T $THETA -E | grep "(" 
    fi
    let ITER=ITER+ITER_STEP
done


## clean
rm *
cd ..

