#!/bin/bash

##
## generates one-hot encoding for given list of terminal symbols
##
## last change: 23.2.2006
## by Michal Pokorny
##

ALLWORDS="allwords"
DIM=150

## reset of 'tmp' file
echo -n "" > tmp

## add word count (including NULL etrminal symbol added later) at the beginning 
n=$( cat $ALLWORDS | wc -l | sed -e "s/ //g" );
echo $(( $n+1 )) >> tmp

## dimension must not be less than number of words in 
if [ $DIM -lt $n ]; then
    echo "ERROR: cannot make one-hot encoding: dimension $DIM < $n word count"
    rm -f tmp
    exit
fi

## for each terminal symbol generate its representation
i=0
for word in $( cat $ALLWORDS ); do
    let i=i+1
    echo -ne "$word\t" >> tmp
    for j in $( seq 1 $DIM ); do
	if [ $i == $j ]; then
	    echo -n "1 " >> tmp
	else
	    echo -n "0 " >> tmp
	fi
    done
    echo >> tmp
done

## add representation for NULL terminal symbol - a zero valued vector
../add_NULL.sh $DIM >> tmp

## tmp => termset.neutral
mv tmp termset.neutral