#!/bin/bash

SOURCE=raam.50N.repr.dat
VECTORS=vectors.wcd
VECTORS_SCALED=vectors.scaled.wcd
ALLWORDS=allwords
SCALE_ALG=scale2
FIX_ALG=fix.wcd.sh
TERMSET_SCALED_ORIG=termset.scaled.wcd.orig

## create vectors only
cat $SOURCE | sed -e "s/ [A-Za-z\_]* $/ /g" > $VECTORS

## create allwords file (wcd -> is, wcd_pl -> are)
cat $SOURCE | egrep -o "[A-Za-z\_]+" > tmp
cat tmp | sed -e "s/^who$/is/g" -e "s/^who_pl$/are/g" > $ALLWORDS

## scale vectors
./$SCALE_ALG

## create termset.wcd = allwords + vectors.scaled
abut $ALLWORDS $VECTORS_SCALED > tmp1
cat tmp1 | sed -e "s/\t$/ /g" >  $TERMSET_SCALED_ORIG

## fix termset: add NULL and number of terminals
./$FIX_ALG

## clean up
rm tmp*