#!/bin/bash

##
## adds zero padding according to chosen dimension DIM
##
## last change: 23.2.2006
## by Michal Pokorny
##

DIM=150
ORIG="termset.wordnet.orig"

## first of all, count number of words..
n=$( cat $ORIG | wc -l | sed -e "s/ //g" )
## ..and original dimension
total=$( cat $ORIG | sed -e "s/ $//g" -e "s/[\t ]/\n/g" | wc -l | sed -e "s/ //g" )
cols=$(( $total / $n ))
origdim=$(( $cols - 1 ))
echo $cols $origdim

## desired dimension DIM must not be less then original dimension
if [ $DIM -lt $origdim ]; then
    echo "ERROR: cannot padd vectors with zeros: desired dimension $DIM < $origdim original dimension"
    exit
fi

diff=$(( $DIM - $origdim ))

## create zero padding into 'tmp' file
## reset of 'tmp'
echo -n "" > tmp
for i in $( seq 1 $n ); do
    for j in $( seq 1 $diff ); do
	echo -n "0 " >> tmp
    done
    echo >> tmp
done

## append padding to the end of original representations
cat $ORIG | sed -e "s/\t$//" | abut -f -1 - tmp > tmp1

## create final termset file
echo $(( $n + 1 )) > tmp2
cat tmp1 >> tmp2
../add_NULL.sh $DIM >> tmp2
mv tmp2 termset.wordnet

## cleaning
rm -f tmp*

